CFLAGS = -Wall -std=c89 -ansi -pedantic -g -I..

all: njson_dump njson_sem_dump

njson_dump: njson_dump.o nanojson.o

njson_sem_dump: njson_sem_dump.o nanojson.o semantic.o

njson_sem_dump.o: njson_sem_dump.c nanojson.h semantic.h

nanojson.o: nanojson.c nanojson.h

semantic.o: semantic.c semantic.h
